[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Pb with grub

On Sunday 19 February 2006 11:00, Hamish Moffatt wrote:
> Ah. I guess you are missing your i386 ld.so, which is /lib/ld-linux.so.2
> (a link to /lib/i486-linux/ld-2.3.2.so). You probably can't run any
> other i386 program either.
> Do you have the package ia32-libc6 properly installed?

No, you don't need that. grub should runs quit fine as is. It is statically 
linked, and does not need any runtime linkage. I don't have (and most 
certainly don't want) ia32-libc6 either, and grub runs fine here.

> Incidentally, I think the grub package is buggy. It requires ia32-libc6,
> but it that package isn't essential and grub doesn't depend on it.

grub runs before Linux, it should not depend on anything.

Incidentally , to the original reporter : I suspect grub will work for you 
even if your kernel is not able to run 32bit code. This simply because grub 
runs before the kernel.


Reply to: